%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-jsonfile
Version:    1.1.1
Release:    1%{?dist}
Summary:    Easily read/write JSON files
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/jprichardson/node-jsonfile
Source0:    http://registry.npmjs.org/jsonfile/-/jsonfile-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-v%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
# Not yet packaged for Fedora.
# BuildRequires:  npm(testutil)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/jsonfile
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/jsonfile

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
#/usr/bin/npm install testutil@0.5.1
/usr/bin/mocha -R spec test
%endif


%files
%doc CHANGELOG.md LICENSE README.md
%{nodejs_sitelib}/jsonfile


%changelog
* Sat Apr 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.1.1-1
- initial package
